Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.train
Class GoodWordIteratorTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              edu.msu.cme.rdp.classifier.train.GoodWordIteratorTest

All Implemented Interfaces:
  junit.framework.Test

    public class GoodWordIteratorTest

extends junit.framework.TestCase

A test class for GoodWordIterator.

Field Summary
`private java.lang.String` | `seq`
`private GoodWordIterator` | `wordIt`

Constructor Summary
`GoodWordIteratorTest(java.lang.String testName)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static junit.framework.Test` | `suite()`
`void` | `testNext()` Test of next() method, of class GoodWordIterator.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### seq

    private java.lang.String seq

### wordIt

    private GoodWordIterator wordIt

Constructor Detail

### GoodWordIteratorTest

    public GoodWordIteratorTest(java.lang.String testName)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static junit.framework.Test suite()

### testNext

    public void testNext()

  Test of next() method, of class GoodWordIterator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD